#!/bin/bash
# 18) Configuración de epoptes:

function configurar_epoptes_cliente() {
    PARAM="${1}"
    CONT="${2}"
    # Rescatamos la IP Servidor Epoptes a configurar en los clientes (p.e. IES Bajo Aragón):
    IPSERVIDOR="$(jq -r ".${PARAM}[${CONT}].ipservidor" <<<"${JSON}")"
    EJECUTABLE="/usr/bin/vx-conf-epoptes-ip-servidor"
    if [[ -x "${EJECUTABLE}" ]] && "${EJECUTABLE}" "${IPSERVIDOR}"; then
        "${echo_verde}" "=> ¡¡Ok!! Se ha configurado correctamente la IP Servidor Epoptes: ${IPSERVIDOR}"
    else
        "${echo_rojo}" "=> ¡¡Error!! Problemas al configurar la IP Servidor Epoptes: ${ATAJO}"
    fi
}

"${echo_titulo}" "*  [[ Configuración de Epoptes Cliente... ]]  *"
PARAM="epoptes.cliente.lista"
# check_parametro [parametro] [breve descripción] [función a llamar]
check_parametro "${PARAM}" "Configurar Servicio Epoptes - Cliente" "configurar_epoptes_cliente"
